org.apache.cayenne.configuration.rop.client

## Class ClientLocalRuntime

- java.lang.Object
- - org.apache.cayenne.configuration.CayenneRuntime
  - - org.apache.cayenne.configuration.rop.client.ClientRuntime
    - - org.apache.cayenne.configuration.rop.client.ClientLocalRuntime

-     public class ClientLocalRuntime
      extends ClientRuntime

  A `ClientRuntime` that provides an ROP stack based on a local connection on top of a server stack.
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLIENT_SERVER_CHANNEL_KEY`

    - ### Fields inherited from class org.apache.cayenne.configuration.CayenneRuntime

      `injector, modules, threadInjector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientLocalRuntime(Injector serverInjector, Map<String,String> properties, Collection<Module> extraModules)`
    `ClientLocalRuntime(Injector serverInjector, Map<String,String> properties, Module... extraModules)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cayenne.configuration.rop.client.ClientRuntime

      `getConnection`

    - ### Methods inherited from class org.apache.cayenne.configuration.CayenneRuntime

      `bindThreadInjector, getChannel, getContext, getContext, getInjector, getModules, getThreadInjector, mergeModules, mergeModules, shutdown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLIENT_SERVER_CHANNEL_KEY

          public static final String CLIENT_SERVER_CHANNEL_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientLocalRuntime

          public ClientLocalRuntime(Injector serverInjector,
                            Map<String,String> properties,
                            Collection<Module> extraModules)

    - #### ClientLocalRuntime

          public ClientLocalRuntime(Injector serverInjector,
                            Map<String,String> properties,
                            Module... extraModules)

Copyright © 2001–2014 Apache Cayenne. All rights reserved.